package egovframework.com.mtdata.comtsrcdata.dto;

import egovframework.com.mtdata.comtsrcdata.vo.ComtsrcdataVO;
import lombok.Builder;
import lombok.Getter;


@Getter
public class ComtsrcdataDTO {

    /** 원천데이터 데이터 ID */
    private Integer srcDataId ;
    /** 추출 ID  */
    private Integer extrId;
    /** 원천데이터 값 */
    private Object srcDataVl;

    @Builder
    ComtsrcdataDTO(ComtsrcdataVO vo, Object data) {
        this.extrId = vo.getExtrId();
        this.srcDataId = vo.getSrcDataId();
        this.srcDataVl = data;
    }

}
